﻿using Prism.Commands;
using Prism.Mvvm;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DontHarmDesktop.ViewModels
{
    public class ServiceEditViewModel : BindableBase
    {
        public string Name { get; set; }
        public float Price { get; set; }
        public string Code { get; set; }
        public DelegateCommand Submit { get; set; }
        public Models.services Service { get; set; }

        public ServiceEditViewModel(Models.services service)
        {
            Submit = new DelegateCommand(SubmitExecuted);
        }

        public void SubmitExecuted()
        {
            // Валидация
            decimal price = (decimal)Price;
            List<string> errors = new List<string>();
            bool isValid = Validation.CheckService(Code, price, Name, errors);

            if (!isValid)
            {
                Validation.DisplayErrors(errors);
                return;
            }

            Service.price = price;
            Service.code = Code;
            Service.name = Name;

            var db = new DontHarmDesktop.Models.Entities();
            db.SaveChanges();

            Navigation.toServicesList();
        }
    }
}
